#!/usr/bin/perl -w

my $newline = 0;

sub line_uniq {
    my @args = @_;
    
    my @uniq_args;
    foreach my $arg (@args) {
	my $found = 0;
	
	foreach my $uniq (@uniq_args) {
	    if ($arg eq $uniq) {
		$found = 1;
		last;
	    }
	}
	
	if (!$found) {
	    push(@uniq_args, $arg);
	}
    }
    
    my $first = 1;
    foreach my $arg (@uniq_args) {
	if ($first) {
	    $first = 0;
	} else {
	    print(' ');
	}
	
	print($arg);
    }
    
    if ($newline) {
	print("\n");
    }
}

if (@ARGV > 0) {
    line_uniq(@ARGV);
} else {
    while (<>) {
	if (m/\n$/) {
	    $newline = 1;
	    chomp;
	}
	
	my @args = split(/ /);
	
	line_uniq(@args);
    }
}
